clay-0.15.0: CSS preprocessor as embedded Haskell.

Safe Haskell | None
Language | Haskell2010

Clay.FontFace

# Documentation

data FontFaceFormat #

Constructors

WOFF |
WOFF2 |
TrueType |
OpenType |
EmbeddedOpenType |
SVG |

#### Instances

Instances details

Show FontFaceFormat # |
Instance details Defined in Clay.FontFace Methods showsPrec :: Int -> FontFaceFormat -> ShowS # show :: FontFaceFormat -> String # showList :: [FontFaceFormat] -> ShowS #

data FontFaceSrc #

Constructors

FontFaceSrcUrl Text (Maybe FontFaceFormat) |
FontFaceSrcLocal Text |

#### Instances

Instances details

Val FontFaceSrc # |
Instance details Defined in Clay.FontFace Methods value :: FontFaceSrc -> Value #
Show FontFaceSrc # |
Instance details Defined in Clay.FontFace Methods showsPrec :: Int -> FontFaceSrc -> ShowS # show :: FontFaceSrc -> String # showList :: [FontFaceSrc] -> ShowS #

fontFaceSrc :: [FontFaceSrc] -> Css #